// Code generated by mockery v2.53.0. DO NOT EDIT.

package db

import (
	context "context"

	mock "github.com/stretchr/testify/mock"
	models "gitlab.com/infor-cloud/martian-cloud/phobos/phobos-api/internal/models"
)

// MockToDoItems is an autogenerated mock type for the ToDoItems type
type MockToDoItems struct {
	mock.Mock
}

// CreateToDoItem provides a mock function with given fields: ctx, item
func (_m *MockToDoItems) CreateToDoItem(ctx context.Context, item *models.ToDoItem) (*models.ToDoItem, error) {
	ret := _m.Called(ctx, item)

	if len(ret) == 0 {
		panic("no return value specified for CreateToDoItem")
	}

	var r0 *models.ToDoItem
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *models.ToDoItem) (*models.ToDoItem, error)); ok {
		return rf(ctx, item)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *models.ToDoItem) *models.ToDoItem); ok {
		r0 = rf(ctx, item)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.ToDoItem)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *models.ToDoItem) error); ok {
		r1 = rf(ctx, item)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetToDoItemByPRN provides a mock function with given fields: ctx, prn
func (_m *MockToDoItems) GetToDoItemByPRN(ctx context.Context, prn string) (*models.ToDoItem, error) {
	ret := _m.Called(ctx, prn)

	if len(ret) == 0 {
		panic("no return value specified for GetToDoItemByPRN")
	}

	var r0 *models.ToDoItem
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string) (*models.ToDoItem, error)); ok {
		return rf(ctx, prn)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string) *models.ToDoItem); ok {
		r0 = rf(ctx, prn)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.ToDoItem)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string) error); ok {
		r1 = rf(ctx, prn)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetToDoItems provides a mock function with given fields: ctx, input
func (_m *MockToDoItems) GetToDoItems(ctx context.Context, input *GetToDoItemsInput) (*ToDoItemsResult, error) {
	ret := _m.Called(ctx, input)

	if len(ret) == 0 {
		panic("no return value specified for GetToDoItems")
	}

	var r0 *ToDoItemsResult
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *GetToDoItemsInput) (*ToDoItemsResult, error)); ok {
		return rf(ctx, input)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *GetToDoItemsInput) *ToDoItemsResult); ok {
		r0 = rf(ctx, input)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*ToDoItemsResult)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *GetToDoItemsInput) error); ok {
		r1 = rf(ctx, input)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// UpdateToDoItem provides a mock function with given fields: ctx, item
func (_m *MockToDoItems) UpdateToDoItem(ctx context.Context, item *models.ToDoItem) (*models.ToDoItem, error) {
	ret := _m.Called(ctx, item)

	if len(ret) == 0 {
		panic("no return value specified for UpdateToDoItem")
	}

	var r0 *models.ToDoItem
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *models.ToDoItem) (*models.ToDoItem, error)); ok {
		return rf(ctx, item)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *models.ToDoItem) *models.ToDoItem); ok {
		r0 = rf(ctx, item)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.ToDoItem)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *models.ToDoItem) error); ok {
		r1 = rf(ctx, item)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// NewMockToDoItems creates a new instance of MockToDoItems. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
// The first argument is typically a *testing.T value.
func NewMockToDoItems(t interface {
	mock.TestingT
	Cleanup(func())
}) *MockToDoItems {
	mock := &MockToDoItems{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
